import { BindingKey } from '@loopback/core';
import { ForgotPasswordHandlerFn, JwtPayloadFn } from './providers';
import { IAuthServiceConfig, IMfaConfig, IOtpConfig } from './types';
export declare namespace AuthServiceBindings {
    const Config: BindingKey<IAuthServiceConfig | null>;
    const MfaConfig: BindingKey<IMfaConfig | null>;
    const OtpConfig: BindingKey<IOtpConfig | null>;
    const JWTPayloadProvider: BindingKey<JwtPayloadFn>;
    const ForgotPasswordHandler: BindingKey<ForgotPasswordHandlerFn>;
}
export { AuthenticationBindings } from 'loopback4-authentication';
export { AuthorizationBindings } from 'loopback4-authorization';
